### Method

# GVnc ColorMap lookup

#### Declaration [src]

    gboolean
    vnc_color_map_lookup (
      VncColorMap* map,
      guint16 idx,
      guint16* red,
      guint16* green,
      guint16* blue
    )

#### Description [src]

Lookup the RGB values associated with the colour map entry at position `idx`.

#### Parameters

`idx`

  Type: `guint16`

  The index to set.

`red`

  Type: `guint16*`

  Pointer to hold the red value.

  The argument will be set by the function.

`green`

  Type: `guint16*`

  Pointer to hold the green value.

  The argument will be set by the function.

`blue`

  Type: `guint16*`

  Pointer to hold the blue value.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE if `idx` was in range, FALSE otherwise.